Bug 827954 - when numlock is on, X server sends key press/release events with different keysyms
when numlock is on, X server sends key press/release events with different ke...
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-03 18:47 EDT by Tim Taiwanese Liim
Modified: 2013-08-01 09:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 09:34:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Taiwanese Liim 2012-06-03 18:47:19 EDT
Description of problem:
    When numlock is on, X server sends key press/release events with
    inconsistent keysyms.  For example, press and release "4" on
    keypad, and one gets keypress with KP_4, and keyrelease with
    KP_Left (wrong, should be KP_4).  Same with Shift key on and Num
    Lock on: one gets KP_Left (down) and KP_4 (up; wrong, should be

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
    1. Run the keysym.tk in the "Additional Info" section below.
       Any X app showing keysym should do; I use TK because it's
       easy to set up.
    2. press and release Num Lock until Num Lock LED is on.
    3. press and release "4" on keypad.
    4. press and hold Shift key, the press and release "4" on keypad.
Actual results:
    sees keypress   with keysym KP_4    (good)
    and  keyrelease with keysym KP_Left (bad)

Expected results:
    the keyrelease event should have keysym KP_4 as well.

Additional info:
    1. keysym.tk: a simple TK script to show keysyms
        message .msg -width 8c -justify left  -font "-adobe-courier-*-24-240-75-75-m-150-*" -text "this is a test"
        bind all <Any-KeyPress>   { puts "keyPress   the keysym is %K" }
        bind all <Any-KeyRelease> { puts "keyrelease the keysym is %K" }
        pack .msg

    2. The Xorg server on Fedora 14
       is working properly: same correct keysym for key down/up event.
       This issue was probably introduced between F14 and F16.
Comment 1 Fedora End Of Life 2013-07-04 00:26:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 09:34:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.